Package org.apache.sling.event.impl.support

# Class ResourceHelper

java.lang.Object
org.apache.sling.event.impl.support.ResourceHelper

public abstract class ResourceHelper extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BUNDLE_EVENT_STARTED`
`static final String`
`BUNDLE_EVENT_UPDATED`
`static final String`
`PROPERTY_APPLICATION`
`static final String`
`PROPERTY_DISTRIBUTE`
`static final String`
`PROPERTY_JOB_ID`
`static final String`
`PROPERTY_JOB_TOPIC`
`static final String`
`PROPERTY_MARKER_READ_ERROR_LIST`
`static final String`
`PROPERTY_SCHEDULE_INFO`
`static final String`
`PROPERTY_SCHEDULE_INFO_TYPE`
`static final String`
`PROPERTY_SCHEDULE_NAME`
`static final String`
`PROPERTY_SCHEDULE_SUSPENDED`
`static final String`
`RESOURCE_TYPE_FOLDER`
`static final String`
`RESOURCE_TYPE_JOB`
`static final String`
`RESOURCE_TYPE_SCHEDULED_JOB`
We use the same resource type as for timed events.

## Constructor Summary

Constructors
Constructor
Description
`ResourceHelper()`

## Method Summary

Modifier and Type
Method
Description
`static Map<String,Object>`
`cloneValueMap(org.apache.sling.api.resource.ValueMap vm)`
`static org.apache.sling.api.resource.Resource`
`createAndCommitResource(org.apache.sling.api.resource.ResourceResolver resolver, String path, Map<String,Object> props)`
Create the resource and commit it
`static String`
`filterName(String resourceName)`
Filter the node name for not allowed characters and replace them.
`static String`
`filterQueueName(String queueName)`
Filter the queue name for not allowed characters and replace them - with the exception of the main queue, which will not be filtered
`static void`
`getOrCreateBasePath(org.apache.sling.api.resource.ResourceResolver resolver, String path)`
`static org.apache.sling.api.resource.Resource`
`getOrCreateResource(org.apache.sling.api.resource.ResourceResolver resolver, String path, Map<String,Object> props)`
Creates or gets the resource at the given path.
`static org.apache.sling.api.resource.ValueMap`
`getValueMap(org.apache.sling.api.resource.Resource resource)`
`static boolean`
`ignoreProperty(String name)`
Check if this property should be ignored

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RESOURCE_TYPE_FOLDER

public static final String RESOURCE_TYPE_FOLDER

See Also:
  - Constant Field Values

### RESOURCE_TYPE_JOB

public static final String RESOURCE_TYPE_JOB

See Also:
  - Constant Field Values

### RESOURCE_TYPE_SCHEDULED_JOB

public static final String RESOURCE_TYPE_SCHEDULED_JOB
We use the same resource type as for timed events.

See Also:
  - Constant Field Values

### BUNDLE_EVENT_UPDATED

public static final String BUNDLE_EVENT_UPDATED

See Also:
  - Constant Field Values

### BUNDLE_EVENT_STARTED

public static final String BUNDLE_EVENT_STARTED

See Also:
  - Constant Field Values

### PROPERTY_SCHEDULE_NAME

public static final String PROPERTY_SCHEDULE_NAME

See Also:
  - Constant Field Values

### PROPERTY_SCHEDULE_INFO

public static final String PROPERTY_SCHEDULE_INFO

See Also:
  - Constant Field Values

### PROPERTY_SCHEDULE_INFO_TYPE

public static final String PROPERTY_SCHEDULE_INFO_TYPE

See Also:
  - Constant Field Values

### PROPERTY_SCHEDULE_SUSPENDED

public static final String PROPERTY_SCHEDULE_SUSPENDED

See Also:
  - Constant Field Values

### PROPERTY_JOB_ID

public static final String PROPERTY_JOB_ID

See Also:
  - Constant Field Values

### PROPERTY_JOB_TOPIC

public static final String PROPERTY_JOB_TOPIC

See Also:
  - Constant Field Values

### PROPERTY_DISTRIBUTE

public static final String PROPERTY_DISTRIBUTE

See Also:
  - Constant Field Values

### PROPERTY_APPLICATION

public static final String PROPERTY_APPLICATION

See Also:
  - Constant Field Values

### PROPERTY_MARKER_READ_ERROR_LIST

public static final String PROPERTY_MARKER_READ_ERROR_LIST

## Constructor Details

### ResourceHelper

public ResourceHelper()

## Method Details

### ignoreProperty

public static boolean ignoreProperty(String name)
Check if this property should be ignored

### filterQueueName

public static String filterQueueName(String queueName)
Filter the queue name for not allowed characters and replace them - with the exception of the main queue, which will not be filtered

Parameters:
  `queueName` - the suggested queue name
Returns:
  the filtered queue name

### filterName

public static String filterName(String resourceName)
Filter the node name for not allowed characters and replace them.

Parameters:
  `resourceName` - The suggested resource name.
Returns:
  The filtered node name.

### cloneValueMap

public static Map<String,Object> cloneValueMap(org.apache.sling.api.resource.ValueMap vm) throws InstantiationException

Throws:
  `InstantiationException`

### getValueMap

public static org.apache.sling.api.resource.ValueMap getValueMap(org.apache.sling.api.resource.Resource resource) throws InstantiationException

Throws:
  `InstantiationException`

### getOrCreateBasePath

public static void getOrCreateBasePath(org.apache.sling.api.resource.ResourceResolver resolver, String path) throws org.apache.sling.api.resource.PersistenceException

Throws:
  `org.apache.sling.api.resource.PersistenceException`

### createAndCommitResource

public static org.apache.sling.api.resource.Resource createAndCommitResource(org.apache.sling.api.resource.ResourceResolver resolver, String path, Map<String,Object> props) throws org.apache.sling.api.resource.PersistenceException
Create the resource and commit it

Parameters:
  `resolver` - The resource resolver
  `path` - The path of the resource
  `props` - The properties
Returns:
  The created resource
Throws:
  `org.apache.sling.api.resource.PersistenceException` - If something goes wrong

### getOrCreateResource

public static org.apache.sling.api.resource.Resource getOrCreateResource(org.apache.sling.api.resource.ResourceResolver resolver, String path, Map<String,Object> props) throws org.apache.sling.api.resource.PersistenceException
Creates or gets the resource at the given path. If any resource along the parent path needs to be created, this is committed immediately. The resource itself is not committed. This is the task of the caller.

Parameters:
  `resolver` - The resource resolver to use for creation
  `path` - The full path to be created
  `props` - The properties of the new resource.
Returns:
  The resource for the path.
Throws:
  `org.apache.sling.api.resource.PersistenceException` - If something goes wrong